import { Component, OnInit, ViewChild } from '@angular/core';
import { IgxGridComponent, SortingDirection, DefaultSortingStrategy} from "igniteui-angular";
import { DATA } from "./data";

import { DatePipe } from '@angular/common';

@Component({
  selector: 'app-root',
  templateUrl: './app.component.html',
  styleUrls: ['./app.component.scss']
})
export class AppComponent implements OnInit {
  public data: any[]; 

  @ViewChild("grid1", { read: IgxGridComponent, static: true })
  public grid1: IgxGridComponent;

  public initialExpr;


  public ngOnInit() {
    this.data = DATA;

    this.initialExpr = [
      {
        dir: SortingDirection.Asc,
        fieldName: "ShipCountry"
      }
    ];
  }
}

